Subject: [Manycouches] Working asynchronously

From: Christian Huitema <[email-masked]>
Date: Sat, 1 Aug 2020 23:30:28 -0700

I was making a comment in the "ietf 108 attendees" list, and Toerless
pointed out that this should really be discussed in shmoo.

My observation was about the effects of time zone differences, which I
found hard to cope with. The 7:00am sessions (14:00 UTC) were easy
enough. I thought that I could wake up at 3:30am for a 4:00am session
(11:00 UTC), and I did that once. But then I needed 2 days to recover,
probably because I am not 20 anymore. I wish we had a good way to
organize asynchronous conversations with higher bandwidth than email,
but more time flexibility than video conferences.

Toerless pointed out his suggestion to rely more on pre-recorded video
clips that could be viewed in advance, which hopefully would reduce the
time needed for real-time sessions, and thus reduce the impact. I read
the discussion on the mailing list, and I am a bit skeptical. Watching
videos requires to commit time. Reading documents is typically quicker
than listening to a recording, yet our track record of reading documents
in advance is hit-or-miss. Then there is the issue of video quality,
which requires lots of efforts by the presenter. If they are willing to
put such effort, they might also make the documents easier to read. But
yes, if presenters can do great videos in advance, by all means we
should let them do that.

Getting more attendees to watch videos or read documents in advance
should help and may allow for shorter sessions. But reducing the
duration of the sessions may not in itself solve the time zone issue.
Waking up for a 1 hour session at 4:00 am may be less taxing than doing
that for a 2 hours session, but not by much. I was wondering whether
there was a way to do a high bandwidth exchange over a longer time
interval than the typical 1 or 2 hours session. In Quic online interops,
we used a "rolling time zone" approach, which sort of worked. Maybe
several time slots stretched over 24 hours, and have a rolling
discussion with different and overlapping set of participants at each
time slot?

-- Christian Huitema

---

From: Toerless Eckert <[email-masked]>
Date: Sun, 2 Aug 2020 13:35:15 +0200

Thanks, Christian,

inline

On Sat, Aug 01, 2020 at 11:30:28PM -0700, Christian Huitema wrote:
> in advance is hit-or-miss.

I often find that presentations given at meetings are very helpful
and complementary to reading the drafts. For example status updates
of document IMHO often falls into this. Even though i try to do
diligent changelogs, i feel that slides that i talk to give a better
summary.

I also gave the example of -00 drafts where the (good) presentations
provide more context and motivation background than the draft
itself. And most often has better visuals/pictures to explain things
than drafts.

>  Then there is the issue of video quality,

We now have decades of presentations having better pictures/visuals
than drafts/RFC. Unfortunately i do not see this changing with latest
tooling (vector graphics).

In comparison, i think every contributor will easily figure out an
easy way to record giving a presentation and record it to a video clip.

Aka: I think all things considered, video recordings of presentations
are IMHO the lowest hanging fruit we have not explored. And the
could invigorate what we wanted all along: better preparation. And
the now even more important goal: less meeting time ... in the wrong
timezone.

> that for a 2 hours session, but not by much.

Ok, 1 hour presentations, one hour discussion.
In the ideal case, you have one hour new stuff you didn't know and
know afterwards. I can learn stuff easier at more amenable times.
Worst case, i knew the stuff or i don't understand it, then it
turns into an even more annoyed spent one hour.

Btw: PhilHB brought up another interesting option: Give the
recorded video live so the presenter can simultaneously answer
Q&A in the jabber.

> discussion with different and overlapping set of participants at each

Sounds interesting, more explanation would help. Is this meant to
work in the face of as many competing topics as we have in an IETF
week ?

Cheers
    Toerless

> 
> -- Christian Huitema
> 
> 
> 
> _______________________________________________
> Manycouches mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manycouches

---

From: Mallory Knodel <[email-masked]>
Date: Mon, 3 Aug 2020 10:21:29 -0400

Hi all,

Top posting my general comment: I think the live presentation is useful 
for Q&A, but perhaps to introduce asynchronous interaction groups could:

  * Post the recording sooner and give the group 1-2 days to watch it

  * Encourage further questions from async viewers to the presenters on 
the list

  * Plan to come back on the list after 2 days viewing time for 
substantive further steps (we see "take it to the list" a lot in 
synchronous meetings, so why not just plan for it?).

-Mallory

-- 
Mallory Knodel
CTO, Center for Democracy and Technology
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9 B071 0C32 A271 BD3C C780

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 3 Aug 2020 16:39:43 +0200

On Mon, Aug 03, 2020 at 10:21:29AM -0400, Mallory Knodel wrote:
> Hi all,
> 
> Top posting my general comment: I think the live presentation is useful for
> Q&A, but perhaps to introduce asynchronous interaction groups could:
> 

If you remember the original reason for blocking uploads to datatracker
before IETF, then it is that supposedly so that all material can be
reviewed "at participants own leisure" between the datatracker lockout and
start of IETF.

Aka: if we treat recordings like other materials it could be as much as
12 days.

I feel that a week would be a good compromise. Allows contributors
to stagger their work (draft first 12 days before, then presentation/video).

>  * Encourage further questions from async viewers to the presenters on the
> list

That workflow is beyond what i was suggesting but certainly worthwhile to
explore.

The way i would describe it, presentation are only meant for discussion
during IETF meetings and are only rcognized as IETF materials when they
are accepted by WG chairs for a slot.  And video recordings of presentations
would logically start the same way. Aka: discuss in the WG meeting.

If we wanted to discuss presentations / video-recordings thereof
independent of meetings on the list, it would be good to figure out
how we could recognize them as actual materials independent of a meeting.
(Tooling question).

>  * Plan to come back on the list after 2 days viewing time for substantive
> further steps (we see "take it to the list" a lot in synchronous meetings,
> so why not just plan for it?).

I am for encouraging all type of experimentation. I don't think one would
get a lot of results from just a 2 time window, but i'd be happy to
be corrected from successful experiments. Personaly i would start with
the experiment of 1 week before upload and disucss in the WG meeting. That
by itself might fail because folks are not prepared, bu when the WG
meting is in the second part of the week, i could at least remind the
group in the days before to watch the videos to be prepared for the WG
meeting.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 5 Aug 2020 13:50:49 +0200

Some suggestions for consideration, moving to manycouchees/tools-discuss
[please remove 108attendees before replyin to this email, sorry, IETF mailman hates Bcc]

On Tue, Aug 04, 2020 at 02:20:50PM -0400, Keith Moore wrote:
> On 8/4/20 12:21 PM, Carsten Bormann wrote:
> > Managing transitions between aloha and central queue management would be a great feature.
> 
> That sounds about right to me, though I suspect it's the number of active
> participants that matters, more than the total number of participants.

IMHO one key problem is that the larger the group and/or the shorter the discussion
time frame, the worse the participation engagement from all but he most extroverted participants. 

For better participant engagement i think that more polling of the participants
would be good. And this could be put into meetecho and would make it go way
beyond what the average conferencing tool does. 

- Meetecho could become agenda aware: Most simple option would be to have each
  aenda slot be associated with one or more drafts.

- Standard questions could be automatically be posted to meetecho when chair clicks on
  next slot: "Have you read this draft" "what do you think" (some answers).

- specific questions with specific answer options could be activated by chairs,
  e.g.: "adoption", "ready for last call", ...
  answers could be given anonymous or with name
  (some questions anonymous answers of course do not make sense "who will review this draft until next IETF" ?)

- Of course, ideally slot-presenters should be able to propose questions as
  well. After all, those questions should be the key slide in the ideall only
  1 page presentation, but allowing chairs to acceppt those questions to then
  put them into meetecho so they can smoothly be called upon in meetecho when
  the session runs would allow to save a lot of time and help to poll the
  whole set of attendants a lot more and thus get better group participation.

Cheers
    Toerless